{ config, pkgs, ... }:

{
  imports =
    [
      ./common.nix
      ./uefi.nix
    ];

  environment.etc."lvm/lvm.conf".text = ''
    devices {
      issue_discards = 1
    }
  '';
  boot.initrd.luks.devices = [
    {
      name = "sda2_crypt";
      device = "/dev/disk/by-uuid/663dcfda-081e-40d5-9ba4-62ad73dc5098";
      preLVM = true;
      allowDiscards = true;
    }
  ];

  networking.hostName = "archachatina"; # Define your hostname.
  networking.hostId = "cc7ea3ba";

  environment.systemPackages = with pkgs; [
    beets
    mediainfo
    flac

    recoll
    uvccapture
  ];

  virtualisation.docker.enable = true;
  users.extraUsers.gebner.extraGroups = [ "docker" ];

  services.nix-serve.enable = true;
  networking.firewall.allowedTCPPorts = [ config.services.nix-serve.port ];

}
